apiVersion: maistra.io/v1
kind: ServiceMeshControlPlane
metadata:
  creationTimestamp: "2019-08-26T13:43:20Z"
  finalizers:
  - istio-operator-ControlPlane
  generation: 3
  name: full-install
  namespace: istio-system
  resourceVersion: "543070"
  selfLink: /apis/maistra.io/v1/namespaces/istio-system/servicemeshcontrolplanes/full-install
  uid: 773771ff-c807-11e9-9e5d-0680b0720ea1
spec:
  istio:
    gateways:
      cluster-local-gateway:
        autoscaleEnabled: false
        enabled: true
        labels:
          app: cluster-local-gateway
          istio: cluster-local-gateway
        ports:
        - name: status-port
          port: 15020
        - name: http2
          port: 80
          targetPort: 8080
        - name: https
          port: 443
      istio-egressgateway:
        autoscaleEnabled: false
      istio-ingressgateway:
        autoscaleEnabled: false
        type: LoadBalancer
    global:
      hub: quay.io/maistra
      imagePullPolicy: Always
      proxy:
        resources:
          limits:
            cpu: 500m
            memory: 128Mi
          requests:
            cpu: 100m
            memory: 128Mi
      tag: 1.0.0
    kiali:
      enabled: true
      hub: quay.io/maistra
      image: kiali
      tag: 1.0.5
    mixer:
      policy:
        autoscaleEnabled: false
      telemetry:
        autoscaleEnabled: false
        resources:
          limits:
            cpu: 500m
            memory: 4G
          requests:
            cpu: 100m
            memory: 1G
    pilot:
      autoscaleEnabled: false
      traceSampling: 100
    tracing:
      enabled: true
      jaeger:
        hub: quay.io/maistra
        template: all-in-one
status:
  components:
  - conditions:
    - lastTransitionTime: "2019-08-26T14:20:49Z"
      reason: ReconcileSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2019-08-26T13:44:53Z"
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: galley
  - conditions:
    - lastTransitionTime: "2019-08-26T14:21:13Z"
      reason: ReconcileSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2019-08-26T13:48:35Z"
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: kiali
  - conditions:
    - lastTransitionTime: "2019-08-26T14:20:45Z"
      reason: ReconcileSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2019-08-26T13:44:49Z"
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: tracing
  - conditions:
    - lastTransitionTime: "2019-08-26T14:20:43Z"
      reason: ReconcileSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2019-08-26T13:44:06Z"
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: prometheus
  - conditions:
    - lastTransitionTime: "2019-08-26T14:21:11Z"
      reason: ReconcileSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2019-08-26T13:47:54Z"
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: grafana
  - conditions:
    - lastTransitionTime: "2019-08-26T14:21:04Z"
      reason: ReconcileSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2019-08-26T13:47:05Z"
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: gateways
  - conditions:
    - lastTransitionTime: "2019-08-26T14:20:38Z"
      reason: ReconcileSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2019-08-26T13:43:46Z"
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: istio
  - conditions:
    - lastTransitionTime: "2019-08-26T14:20:56Z"
      reason: ReconcileSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2019-08-26T13:45:31Z"
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: mixer
  - conditions:
    - lastTransitionTime: "2019-08-26T14:21:07Z"
      reason: ReconcileSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2019-08-26T13:47:29Z"
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: sidecarInjectorWebhook
  - conditions:
    - lastTransitionTime: "2019-08-26T14:20:58Z"
      reason: ReconcileSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2019-08-26T13:45:53Z"
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: pilot
  - conditions:
    - lastTransitionTime: "2019-08-26T14:20:40Z"
      reason: ReconcileSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2019-08-26T13:43:50Z"
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: security
  conditions:
  - lastTransitionTime: "2019-08-26T14:21:29Z"
    message: Successfully updated from generation 2 to generation 3
    reason: ReconcileSuccessful
    status: "True"
    type: Reconciled
  - lastTransitionTime: "2019-08-27T08:46:26Z"
    message: All component deployments are Available
    status: "True"
    type: Ready
  - lastTransitionTime: "2019-08-26T13:48:51Z"
    reason: InstallSuccessful
    status: "True"
    type: Installed
  lastAppliedConfiguration:
    istio:
      galley:
        image: galley-rhel8
      gateways:
        cluster-local-gateway:
          autoscaleEnabled: false
          enabled: true
          labels:
            app: cluster-local-gateway
            istio: cluster-local-gateway
          ports:
          - name: status-port
            port: 15020
          - name: http2
            port: 80
            targetPort: 8080
          - name: https
            port: 443
        istio-egressgateway:
          autoscaleEnabled: false
          enabled: true
        istio-ingressgateway:
          autoscaleEnabled: false
          enabled: true
          ior_enabled: false
          ior_image: istio-ior-rhel8
          type: LoadBalancer
      global:
        hub: quay.io/maistra
        imagePullPolicy: Always
        multitenant: true
        oauthproxy:
          hub: registry.redhat.io/openshift4
          image: ose-oauth-proxy
          imagePullPolicy: IfNotPresent
          tag: 4.1
        operatorNamespace: istio-operator
        proxy:
          autoInject: disabled
          dnsRefreshRate: 300s
          image: proxyv2-rhel8
          resources:
            limits:
              cpu: 500m
              memory: 128Mi
            requests:
              cpu: 100m
              memory: 128Mi
        proxy_init:
          image: proxy-init-rhel7
        tag: 1.0.0
      grafana:
        enabled: true
        image: grafana-rhel8
        ingress:
          enabled: true
        service:
          annotations:
            service.alpha.openshift.io/serving-cert-secret-name: grafana-tls
      istio_cni:
        enabled: true
      kiali:
        dashboard:
          viewOnlyMode: false
        enabled: true
        hub: quay.io/maistra
        image: kiali
        ingress:
          enabled: true
        tag: 1.0.5
      mixer:
        env:
          GODEBUG: null
        image: mixer-rhel8
        policy:
          autoscaleEnabled: false
        telemetry:
          autoscaleEnabled: false
          resources:
            limits:
              cpu: 500m
              memory: 4G
            requests:
              cpu: 100m
              memory: 1G
      pilot:
        autoscaleEnabled: false
        env:
          GODEBUG: null
        image: pilot-rhel8
        traceSampling: 100
      prometheus:
        image: prometheus-rhel8
        ingress:
          enabled: true
        service:
          annotations:
            service.alpha.openshift.io/serving-cert-secret-name: prometheus-tls
      security:
        image: citadel-rhel8
      sidecarInjectorWebhook:
        enableNamespacesByDefault: true
        image: sidecar-injector-rhel8
      tracing:
        enabled: true
        ingress:
          enabled: true
        jaeger:
          hub: quay.io/maistra
          template: all-in-one
    template: default
    threeScale:
      hub: registry.redhat.io/openshift-service-mesh
      tag: 1.0.0
  observedGeneration: 3
